## com.mysql.jdbc
Class Constants

    java.lang.Object
      com.mysql.jdbc.Constants

    public class Constants

extends java.lang.Object

Represents various constants used in the driver.

Field Summary
`static byte[]` `EMPTY_BYTE_ARRAY` Avoids allocation of empty byte[] when representing 0-length strings.
`static java.lang.String` `MILLIS_I18N` I18N'd representation of the abbreviation for "ms"
`static byte[]` `SLASH_STAR_SPACE_AS_BYTES`
`static byte[]` `SPACE_STAR_SLASH_SPACE_AS_BYTES`

Method Summary
`static java.lang.Byte` `byteValueOf(byte b)` Same behavior as JDK-1.5's Byte.valueOf(int)
`static java.lang.Character` `characterValueOf(char c)` Same behavior as JDK-1.5's Constants.characterValueOf(int)
`static java.lang.Integer` `integerValueOf(int i)` Same behavior as JDK-1.5's Integer.valueOf(int)
`static java.lang.Long` `longValueOf(long l)` Same behavior as JDK-1.5's Long.valueOf(int)
`static java.lang.Short` `shortValueOf(short s)` Same behavior as JDK-1.5's Constants.shortValueOf(int)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_BYTE_ARRAY

    public static final byte[] EMPTY_BYTE_ARRAY

  Avoids allocation of empty byte[] when representing 0-length strings.

### MILLIS_I18N

    public static final java.lang.String MILLIS_I18N

  I18N'd representation of the abbreviation for "ms"

### SLASH_STAR_SPACE_AS_BYTES

    public static final byte[] SLASH_STAR_SPACE_AS_BYTES

### SPACE_STAR_SLASH_SPACE_AS_BYTES

    public static final byte[] SPACE_STAR_SLASH_SPACE_AS_BYTES

Method Detail

### characterValueOf

    public static java.lang.Character characterValueOf(char c)

  Same behavior as JDK-1.5's Constants.characterValueOf(int)

### byteValueOf

    public static final java.lang.Byte byteValueOf(byte b)

  Same behavior as JDK-1.5's Byte.valueOf(int)

### integerValueOf

    public static final java.lang.Integer integerValueOf(int i)

  Same behavior as JDK-1.5's Integer.valueOf(int)

### shortValueOf

    public static java.lang.Short shortValueOf(short s)

  Same behavior as JDK-1.5's Constants.shortValueOf(int)

### longValueOf

    public static final java.lang.Long longValueOf(long l)

  Same behavior as JDK-1.5's Long.valueOf(int)